Page MenuHomePhabricator

Dropdowns on Special:ApiSandbox don't have overlay set, resulting in dropdown lists being limited to inner scrollable area
Closed, ResolvedPublic

Description

Dropdowns on Special:ApiSandbox don't have overlay set, resulting in dropdown lists being limited to inner scrollable area.

This can probably be magically solved by passing { $overlay: $( 'body' ) } to constructors of OO.ui.DropdownWidget, OO.ui.CapsuleMultiSelectWidget and similar. This way the dropdown list dimensions will be limited by dimensions of viewport, rather than closest scrollable parent of the dropdown.

Event Timeline

matmarex created this task.Mar 9 2016, 2:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2016, 2:19 AM
Anomie moved this task from Unsorted to Needs Code on the MediaWiki-API board.Mar 9 2016, 2:58 PM

Change 276271 had a related patch set uploaded (by Anomie):
ApiSandbox: Specify a $overlay for menu-using widgets

https://gerrit.wikimedia.org/r/276271

matmarex renamed this task from Dropdowns on Specjalna:ApiSandbox don't have overlay set, resulting in dropdown lists being limited to inner scrollable area to Dropdowns on Special:ApiSandbox don't have overlay set, resulting in dropdown lists being limited to inner scrollable area.Apr 11 2016, 10:05 PM
matmarex updated the task description. (Show Details)
Anomie moved this task from Needs Code to Needs Review on the MediaWiki-API board.Aug 24 2016, 3:44 PM
matmarex closed this task as Resolved.May 3 2017, 4:33 PM
matmarex assigned this task to Anomie.
matmarex removed a project: Patch-For-Review.

Change 276271 merged by jenkins-bot:
[mediawiki/core@master] ApiSandbox: Specify a $overlay for menu-using widgets

https://gerrit.wikimedia.org/r/276271